# Generated from allsum-client-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name allsum-client

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Compute checksums of files and store in a database
License: GPLv2
URL: http://rubygems.org/gems/allsum-client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(ore-tasks) >= 0.4
# BuildRequires: rubygem(ore-tasks) < 1
# BuildRequires: rubygem(yard) >= 0.7.0
# BuildRequires: rubygem(yard) < 0.8
# BuildRequires: rubygem(rspec) >= 2.4
# BuildRequires: rubygem(rspec) < 3
BuildArch: noarch

%description
Compute MD5, SHA1, SHA256 and fuzzyhash (CTPH) of specified filetypes in
specified directories.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/fuzzy.dll
%{_bindir}/allsum-client
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/allsum_config.yml
%{gem_instdir}/bin
%{gem_instdir}/gemspec.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.rdoc
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/allsum-client.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.0-1
- Initial package
